/* simple css reset */

/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Remove default margin */
body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role="list"],
ol[role="list"] {
  list-style: none;
}

/* Set core root defaults */
html:focus-within {
  scroll-behavior: smooth;
}

html {
  font-size: 12pt;
}
html {
  scrollbar-gutter: stable;
}

/* makes scrollbar thin, from chat.openai.com */
/*
::-webkit-scrollbar {
  height: 1rem;
  width: 0.5rem;
}

::-webkit-scrollbar:horizontal {
  height: 0.5rem;
  width: 1rem;
}

::-webkit-scrollbar-track {
  background-color: transparent;
  border-radius: 9999px;
}

::-webkit-scrollbar-thumb {
  --tw-border-opacity: 1;
  background-color: rgba(217, 217, 227, 0.8);
  border-color: rgba(255, 255, 255, var(--tw-border-opacity));
  border-radius: 9999px;
  border-width: 1px;
}

::-webkit-scrollbar-thumb:hover {
  --tw-bg-opacity: 1;
  background-color: rgba(236, 236, 241, var(--tw-bg-opacity));
} */

body {
  font-family:
    ui-sans-serif,
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    "Helvetica Neue",
    Arial,
    "Noto Sans",
    sans-serif,
    "Apple Color Emoji",
    "Segoe UI Emoji",
    "Segoe UI Symbol",
    "Noto Color Emoji";

  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input,
button,
textarea,
select {
  font: inherit;
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
@media (prefers-reduced-motion: reduce) {
  html:focus-within {
    scroll-behavior: auto;
  }

  *,
  *::before,
  *::after {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}

/* start of real fun */

body {
  font-family: sans-serif;
}

.page-wrap {
  margin-left: 1rem;
  margin-right: 1rem;
}

/* https://csshint.com/css-box-shadow-examples/ */
.shadow-8 {
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px 0px;
}

.ib {
  display: inline-block;
}

.mt1 {
  margin-top: 0.25rem;
}

.mt2 {
  margin-top: 0.5rem;
}

.mt3 {
  margin-top: 1rem;
}

.mb6 {
  margin-bottom: 2rem;
}

.mt72 {
  margin-top: 72px;
}

.pa1 {
  padding: 4px;
}

.mr2 {
  margin-right: 0.5rem;
}

.mr3 {
  margin-right: 1rem;
}

.flex {
  display: flex;
}

.font-w-600 {
  font-weight: 600;
}

.font-s-24pt {
  font-size: 24pt;
}

.justify-center {
  justify-content: center;
}

.center {
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.selected-img {
  /* border: 1px solid #87cefa;
  border: 1px solid #fff100;
  border: 1px solid yellow; */
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px 0px;
  box-shadow:
    rgba(0, 0, 0, 0.05) 0px 0px 0px 1px,
    rgb(209, 213, 219) 0px 0px 0px 1px inset;
}

#shot-description {
  padding: 8px 16px;
  position: absolute;
  bottom: 22px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #000;
  opacity: 0.8;
  color: #fff;
  border-radius: 8px;
  white-space: pre;
}

.img-wrapper-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.img-wrapper {
  position: relative;
  max-width: 95vw;
  display: flex;
  justify-content: space-around;
}

.img-wrapper > img {
  object-fit: scale-down;
  max-width: 90%;
}

.nav-icon-left {
  position: absolute;
  left: 0;
  top: calc(50% - 24px);
}

.nav-icon-right {
  position: absolute;
  right: 0;
  top: calc(50% - 24px);
}

a.for-nav-icon {
  display: flex;
  text-decoration: none;
  font-size: 0;
  justify-content: center;
  align-items: center;
  fill: gray;
  width: 40px;
  height: 40px;
  border-radius: 24px;
  background-color: #fff;
  box-shadow:
    0 4px 4px rgba(0, 0, 0, 0.3),
    0 0 4px rgba(0, 0, 0, 0.2);
}

a.for-nav-icon:hover {
  fill: #555;
  background-color: #f2f2f2;
}

.nav-icon {
  width: 24px;
  height: 24px;
  pointer-events: none;
  display: block;
}

.page {
  margin-bottom: 2px;
}

@media only screen and (max-width: 600px) {
  html {
    font-size: 13px;
  }
  .hide-on-small {
    visibility: collapse;
    display: none;
  }
}

.notion-page {
  font-size: 11pt;
}

pre > code {
  font-size: 10pt;
}

.notion-page > div > img {
  margin-left: auto;
  margin-right: auto;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.doc-columns {
  columns: 2;
  margin-top: 1rem;
}

.doc-columns > h2 {
  margin-top: 0px;
}

.doc-columns > h3 {
  margin-top: 0px;
}
/* TODO: only one column at smaller size */
@media only screen and (max-width: 720px) {
  .doc-columns {
    columns: 1;
  }
}

a.hlink {
  text-decoration: none;
  color: transparent;
}

a.hlink:hover {
  color: lightgray;
}

/* table of contents */

h1,
h2,
h3,
h4,
h5,
h6 {
  transition: background-color 1s ease;
}

.toc-wrapper {
  position: fixed;
  top: 50%;
  transform: translateY(-50%);
  right: 1rem;
  z-index: 50;

  max-height: calc(100vh - 2rem);
  overflow-y: auto;

  &::-webkit-scrollbar {
    width: 6px;
  }
  &::-webkit-scrollbar-thumb {
    background-color: #d3d3d3;
    border-radius: 8px;
  }

  &::-webkit-scrollbar-track {
    background-color: #fafafa;
  }
}

.toc-mini {
  display: flex;
  flex-direction: column;
  font-size: 6pt;
  cursor: pointer;
}

.toc-list {
  display: none;
  flex-direction: column;
  font-size: 10pt;
  /* line-height: 1.4; */
  background-color: white;
  padding-left: 8px;
  padding-right: 8px;

  padding: 12px 12px;
  /* margin-right: 10px; */
  background-color: white;
  box-shadow:
    rgba(15, 15, 15, 0.04) 0px 0px 0px 1px,
    rgba(15, 15, 15, 0.03) 0px 3px 6px,
    rgba(15, 15, 15, 0.06) 0px 9px 24px;
  border: 1px solid rgba(55, 53, 47, 0.26);
  border-radius: 8px;
}

.toc-trunc {
  max-width: 16ch;
  min-width: 10ch;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.toc-wrapper:hover > .toc-mini {
  display: none;
}

.toc-wrapper:hover > .toc-list {
  display: flex;
}

.toc-item {
  cursor: pointer;
  &:hover {
    background-color: #f6f6f6;
  }
}

.toc-bold {
  font-weight: bold;
}

.toc-light {
  color: lightgray;
}

.toc-ind-1 {
  padding-left: 4px;
}
.toc-ind-2 {
  padding-left: 8px;
}
.toc-ind-3 {
  padding-left: 12px;
}
.toc-ind-4 {
  padding-left: 16px;
}
.toc-ind-5 {
  padding-left: 20px;
}
.toc-ind-6 {
  padding-left: 24px;
}

/* notion.css */

/* over-write sumatra.css */
.content {
  padding-top: 0px;
}

.suggest-change {
  font-size: 11px;
}

.notion-page {
  margin-left: 1rem;
  margin-right: 1rem;
}

.notion-page > img {
  margin-left: auto;
  margin-right: auto;
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.notion-page > h1 {
  margin-bottom: 0.75rem;
}

.notion-page > h2 {
  margin-bottom: 0.6rem;
}

.notion-page > h3 {
  margin-bottom: 0.3rem;
}

.notion-page div {
  margin-bottom: 0.4rem;
  /* background-color: aliceblue; */
}

.notion-page div.notion-page ul {
  margin-block-start: 0;
  margin-block-end: 0;
}

/* notion css */
a,
a.visited {
  color: inherit;
  text-decoration: underline;
  text-underline-offset: 4px;
}

.pdf-relative-link-path {
  font-size: 80%;
  color: #444;
}

h2,
h3 {
  letter-spacing: -0.01em;
  /* line-height: 1.2; */
  font-weight: 600;
  margin-bottom: 0;
}

.page-title {
  font-size: 2.5rem;
  font-weight: 700;
  margin-top: 0;
  margin-bottom: 0.75em;
}

/* h1 {
	font-size: 1.875rem;
	margin-top: 1.875rem;
} */

h2 {
  font-size: 1.5rem;
  margin-top: 1rem;
}

h3 {
  font-size: 1.25rem;
  margin-top: 1rem;
}

.source {
  border: 1px solid #ddd;
  border-radius: 3px;
  padding: 1.5em;
  word-break: break-all;
}

.callout {
  border-radius: 3px;
  padding: 1rem;
}

figure {
  margin: 1.25em 0;
  page-break-inside: avoid;
}

figcaption {
  opacity: 0.5;
  font-size: 85%;
  margin-top: 0.5em;
}

mark {
  background-color: transparent;
}

.indented {
  padding-left: 1.5em;
}

hr {
  background: transparent;
  display: block;
  width: 100%;
  height: 1px;
  visibility: visible;
  border: none;
  border-bottom: 1px solid rgba(55, 53, 47, 0.09);
}

img {
  max-width: 100%;
}

@media only print {
  img {
    max-height: 100vh;
    object-fit: contain;
  }
}

@page {
  margin: 1in;
}

.collection-content {
  font-size: 0.875rem;
}

.column-list {
  display: flex;
  justify-content: space-between;
}

.column {
  padding: 0 1em;
}

.column:first-child {
  padding-left: 0;
}

.column:last-child {
  padding-right: 0;
}

.table_of_contents-item {
  display: block;
  font-size: 0.875rem;
  line-height: 1.3;
  padding: 0.125rem;
}

.table_of_contents-indent-1 {
  margin-left: 1.5rem;
}

.table_of_contents-indent-2 {
  margin-left: 3rem;
}

.table_of_contents-indent-3 {
  margin-left: 4.5rem;
}

.table_of_contents-link {
  text-decoration: none;
  opacity: 0.7;
  border-bottom: 1px solid rgba(55, 53, 47, 0.18);
}

table,
th,
td {
  border: 1px solid rgba(55, 53, 47, 0.09);
  border-collapse: collapse;
}

table {
  border-left: none;
  border-right: none;
}

th,
td {
  font-weight: normal;
  padding: 0.25em 0.5em;
  line-height: 1.5;
  min-height: 1.5em;
  text-align: left;
}

th {
  color: rgba(55, 53, 47, 0.6);
}

ol,
ul {
  margin: 0;
  margin-block-start: 0.6em;
  margin-block-end: 0.6em;
  margin-top: 1rem;
}

li > ol:first-child,
li > ul:first-child {
  /* margin-block-start: 0.6em; */
  margin-block-start: 0;
}

ul > li {
  list-style: disc;
  margin-bottom: 0.3rem;
}

ul > li > ul > li {
  list-style: circle !important;
}

ul.to-do-list {
  text-indent: -1.7em;
}

ul.to-do-list > li {
  list-style: none;
}

.to-do-children-checked {
  text-decoration: line-through;
  opacity: 0.375;
}

ul.toggle > li {
  list-style: none;
}

ul {
  padding-inline-start: 1.7em;
}

ul > li {
  padding-left: 0.1em;
}

ol {
  padding-inline-start: 1.6em;
}

ol > li {
  padding-left: 0.2em;
}

.mono ol {
  padding-inline-start: 2em;
}

.mono ol > li {
  text-indent: -0.4em;
}

.toggle {
  padding-inline-start: 0em;
  list-style-type: none;
}

/* Indent toggle children */

.toggle > li > details {
  padding-left: 1.7em;
}

.toggle > li > details > summary {
  margin-left: -1.1em;
}

.selected-value {
  display: inline-block;
  padding: 0 0.5em;
  background: rgba(206, 205, 202, 0.5);
  border-radius: 3px;
  margin-right: 0.5em;
  margin-top: 0.3em;
  margin-bottom: 0.3em;
  white-space: nowrap;
}

.collection-title {
  display: inline-block;
  margin-right: 1em;
}

time {
  opacity: 0.5;
}

.icon {
  display: inline-block;
  max-width: 1.2em;
  max-height: 1.2em;
  text-decoration: none;
  vertical-align: text-bottom;
  margin-right: 0.5em;
}

img.icon {
  border-radius: 3px;
}

.user-icon {
  width: 1.5em;
  height: 1.5em;
  border-radius: 100%;
  margin-right: 0.5rem;
}

.user-icon-inner {
  font-size: 0.8em;
}

.text-icon {
  border: 1px solid #000;
  text-align: center;
}

.page-cover-image {
  display: block;
  object-fit: cover;
  width: 100%;
  height: 30vh;
}

.page-header-icon {
  font-size: 3rem;
  margin-bottom: 1rem;
}

.page-header-icon-with-cover {
  margin-top: -0.72em;
  margin-left: 0.07em;
}

.page-header-icon img {
  border-radius: 3px;
}

.link-to-page {
  margin: 1em 0;
  padding: 0;
  border: none;
  font-weight: 500;
}

p > .user {
  opacity: 0.5;
}

td > .user,
td > time {
  white-space: nowrap;
}

input[type="checkbox"] {
  transform: scale(1.5);
  margin-right: 0.6em;
  vertical-align: middle;
}

p {
  margin-top: 0.5em;
  margin-bottom: 0.5em;
}

.image {
  border: none;
  margin: 1.5em 0;
  padding: 0;
  border-radius: 0;
  text-align: center;
}

.code,
code {
  /* background: rgba(135, 131, 120, 0.07); */
  background: rgb(247 246 244);
  border-radius: 3px;
  padding: 0.2em 0.4em;
  border-radius: 3px;
  /* font-size: 85%; */
  tab-size: 2;
}

pre {
  background: rgb(247 246 244);
}

code {
  color: gray;
}

.code {
  padding: 0.5rem 1rem;
}

.code > code {
  background: none;
  padding: 0;
  /* font-size: 12pt; */
  color: inherit;
}

blockquote {
  font-size: 1.25em;
  margin: 1em 0;
  padding-left: 1em;
  border-left: 3px solid rgb(55, 53, 47);
}

.bookmark-href {
  font-size: 0.75em;
  opacity: 0.5;
}

.sans {
  font-family:
    -apple-system, BlinkMacSystemFont, "Segoe UI", Helvetica, "Apple Color Emoji", Arial, sans-serif, "Segoe UI Emoji",
    "Segoe UI Symbol";
}

.code {
  font-family: "SFMono-Regular", Consolas, "Liberation Mono", Menlo, Courier, monospace;
}

.serif {
  font-family: Lyon-Text, Georgia, KaiTi, STKaiTi, "华文楷体", KaiTi_GB2312, "楷体_GB2312", serif;
}

.mono {
  font-family: Nitti, "Microsoft YaHei", "微软雅黑", monospace;
}

.pdf .sans {
  font-family:
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Helvetica,
    "Apple Color Emoji",
    Arial,
    sans-serif,
    "Segoe UI Emoji",
    "Segoe UI Symbol",
    "Twemoji",
    "Noto Color Emoji",
    "Noto Sans CJK SC",
    "Noto Sans CJK KR";
}

.pdf .code {
  font-family:
    Source Code Pro,
    "SFMono-Regular",
    Consolas,
    "Liberation Mono",
    Menlo,
    Courier,
    monospace,
    "Twemoji",
    "Noto Color Emoji",
    "Noto Sans Mono CJK SC",
    "Noto Sans Mono CJK KR";
}

.pdf .serif {
  font-family:
    PT Serif,
    Lyon-Text,
    Georgia,
    KaiTi,
    STKaiTi,
    "华文楷体",
    KaiTi_GB2312,
    "楷体_GB2312",
    serif,
    "Twemoji",
    "Noto Color Emoji",
    "Noto Sans CJK SC",
    "Noto Sans CJK KR";
}

.pdf .mono {
  font-family:
    PT Mono,
    Nitti,
    "Microsoft YaHei",
    "微软雅黑",
    monospace,
    "Twemoji",
    "Noto Color Emoji",
    "Noto Sans Mono CJK SC",
    "Noto Sans Mono CJK KR";
}

/*
.highlight-default {
}
*/

.highlight-gray {
  color: rgb(155, 154, 151);
}

.highlight-brown {
  color: rgb(100, 71, 58);
}

.highlight-orange {
  color: rgb(217, 115, 13);
}

.highlight-yellow {
  color: rgb(223, 171, 1);
}

.highlight-teal {
  color: rgb(15, 123, 108);
}

.highlight-blue {
  color: rgb(11, 110, 153);
}

.highlight-purple {
  color: rgb(105, 64, 165);
}

.highlight-pink {
  color: rgb(173, 26, 114);
}

.highlight-red {
  color: rgb(224, 62, 62);
}

.highlight-gray_background {
  background: rgb(235, 236, 237);
}

.highlight-brown_background {
  background: rgb(233, 229, 227);
}

.highlight-orange_background {
  background: rgb(250, 235, 221);
}

.highlight-yellow_background {
  background: rgb(251, 243, 219);
}

.highlight-teal_background {
  background: rgb(221, 237, 234);
}

.highlight-blue_background {
  background: rgb(221, 235, 241);
}

.highlight-purple_background {
  background: rgb(234, 228, 242);
}

.highlight-pink_background {
  background: rgb(244, 223, 235);
}

.highlight-red_background {
  background: rgb(251, 228, 228);
}

.block-color-default {
  color: inherit;
  fill: inherit;
}

.block-color-gray {
  color: rgba(55, 53, 47, 0.6);
  fill: rgba(55, 53, 47, 0.6);
}

.block-color-brown {
  color: rgb(100, 71, 58);
  fill: rgb(100, 71, 58);
}

.block-color-orange {
  color: rgb(217, 115, 13);
  fill: rgb(217, 115, 13);
}

.block-color-yellow {
  color: rgb(223, 171, 1);
  fill: rgb(223, 171, 1);
}

.block-color-teal {
  color: rgb(15, 123, 108);
  fill: rgb(15, 123, 108);
}

.block-color-blue {
  color: rgb(11, 110, 153);
  fill: rgb(11, 110, 153);
}

.block-color-purple {
  color: rgb(105, 64, 165);
  fill: rgb(105, 64, 165);
}

.block-color-pink {
  color: rgb(173, 26, 114);
  fill: rgb(173, 26, 114);
}

.block-color-red {
  color: rgb(224, 62, 62);
  fill: rgb(224, 62, 62);
}

.block-color-gray_background {
  background: rgb(235, 236, 237);
}

.block-color-brown_background {
  background: rgb(233, 229, 227);
}

.block-color-orange_background {
  background: rgb(250, 235, 221);
}

.block-color-yellow_background {
  background: rgb(251, 243, 219);
}

.block-color-teal_background {
  background: rgb(221, 237, 234);
}

.block-color-blue_background {
  background: rgb(221, 235, 241);
}

.block-color-purple_background {
  background: rgb(234, 228, 242);
}

.block-color-pink_background {
  background: rgb(244, 223, 235);
}

.block-color-red_background {
  background: rgb(251, 228, 228);
}

.checkbox {
  display: inline-flex;
  vertical-align: text-bottom;
  width: 16;
  height: 16;
  background-size: 16px;
  margin-left: 2px;
  margin-right: 5px;
}

.checkbox-on {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%3Crect%20width%3D%2216%22%20height%3D%2216%22%20fill%3D%22%2358A9D7%22%2F%3E%0A%3Cpath%20d%3D%22M6.71429%2012.2852L14%204.9995L12.7143%203.71436L6.71429%209.71378L3.28571%206.2831L2%207.57092L6.71429%2012.2852Z%22%20fill%3D%22white%22%2F%3E%0A%3C%2Fsvg%3E");
}

.checkbox-off {
  background-image: url("data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%2216%22%20height%3D%2216%22%20viewBox%3D%220%200%2016%2016%22%20fill%3D%22none%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%3E%0A%3Crect%20x%3D%220.75%22%20y%3D%220.75%22%20width%3D%2214.5%22%20height%3D%2214.5%22%20fill%3D%22white%22%20stroke%3D%22%2336352F%22%20stroke-width%3D%221.5%22%2F%3E%0A%3C%2Fsvg%3E");
}

.breadcrumbs {
  display: flex;
  flex-wrap: wrap;
  margin-left: -0.5em;
  /* padding-bottom: 1em; */
  /* margin-bottom: 0 !important; */
  /* font-size: 1rem; */
}

.breadcrumbs > div {
  margin-left: 0.5em;
}

.breadcrumbs > div:last-child {
  font-weight: bold;
}

.breadcrumbs > a {
  margin-left: auto;
  text-decoration: none;
  color: inherit;
  opacity: 0.5;
  font-size: 0.875rem;
}

.grow {
  flex-grow: 1;
}
.nav {
  position: sticky;
  top: 0;
  display: flex;
  flex-direction: row;
  font-weight: 500;
  align-items: center;
  background-color: rgba(255, 255, 255, 0.5);
  background: transparent;
  /* background-color: white; */
  z-index: 40; /* needs to be higher than img */

  justify-content: space-between;
  padding: 0.25rem 0;
  margin-bottom: 1.5rem;
}

.nav-btn {
  font-size: 18px;
  padding: 8px 1rem;
  margin-left: 1rem;
  text-decoration: none;
  color: black;
  border-radius: 0.5rem;
  background-color: white;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px 0px;
}

/* https://csshint.com/css-box-shadow-examples/ */
.nav-shadow {
  box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px 0px;
}

.nav-logo {
  margin-left: 1rem;
  margin-top: 1px;
}

.nav-btn-selected {
  background-color: rgba(255, 240, 0, 1);
}

.nav-btn:hover {
  background-color: rgba(255, 240, 0, 1);
}

@media only screen and (max-width: 600px) {
  .nav-logo {
    visibility: collapse;
    display: none;
  }
  .nav {
    justify-content: center;
    padding: 2px 0;
    margin-bottom: 0.5rem;
  }
  .nav-btn {
    font-size: 14px;
    margin-left: 0px;
    padding: 2px 4px;
  }
}
